Package es.imim.DISGENET.database

# Class DatabaseProps

java.lang.Object
es.imim.DISGENET.database.DatabaseProps

public class DatabaseProps extends Object
The DISGENET Cytoscape App is designed to visualize, query, and analyze a network representation of DISGENET data.

Copyright (C) 2024 MEDBIOINFORMATICS SOLUTIONS SL

This file is part of the DISGENET Cytoscape App. The DISGENET Cytoscape App is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or any later version.

The DISGENET Cytoscape App is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with the DISGENET Cytoscape App. If not, see http://www.gnu.org/licenses/.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DISEASE_CODE_REGEX`
`static final String`
`DISEASE_SEARCH_REGEX`
`static final String`
`ENSEMBL_SEARCH_REGEX`
`static final String`
`GENE_SEARCH_REGEX`
`static final String`
`HGNC_SEARCH_REGEX`
`static final String`
`VARIANT_CODE_REGEX`
`static final String`
`VARIANT_STRING_SEARCH`

## Constructor Summary

Constructors
Constructor
Description
`DatabaseProps()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### DISEASE_CODE_REGEX

public static final String DISEASE_CODE_REGEX

See Also:
  - Constant Field Values

### VARIANT_CODE_REGEX

public static final String VARIANT_CODE_REGEX

See Also:
  - Constant Field Values

### DISEASE_SEARCH_REGEX

public static final String DISEASE_SEARCH_REGEX

See Also:
  - Constant Field Values

### GENE_SEARCH_REGEX

public static final String GENE_SEARCH_REGEX

See Also:
  - Constant Field Values

### ENSEMBL_SEARCH_REGEX

public static final String ENSEMBL_SEARCH_REGEX

See Also:
  - Constant Field Values

### HGNC_SEARCH_REGEX

public static final String HGNC_SEARCH_REGEX

See Also:
  - Constant Field Values

### VARIANT_STRING_SEARCH

public static final String VARIANT_STRING_SEARCH

See Also:
  - Constant Field Values

## Constructor Details

### DatabaseProps

public DatabaseProps()